Get all Events
https://api.propexo.com/crm/v1/events/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the integration
Show 4 enum values
ELISEAIFUNNELRENTCAFEKNOCKThe CRM system of record
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the event
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID of the agent from the integration vendor
431d19f5-deee-422a-a97b-8ce1f86f29c2The external ID of the community from the integration vendor
12345The date the record first entered the integration vendor
2024-10-30T20:05:36.240ZThe external ID from the integration vendor
256053-APPOINTMENT_CREATED-2024-10-30T20:05:36.240460+00:00The external ID of the prospect from the integration vendor
12345The date when the appointment will occur
2020-02-03T11:30:00.000ZThe duration of the appointment, in minutes
30custom_data object | nullrequired
The date when the event will occur
2020-02-03T11:30:00.000ZNotes associated with the event
This is a note.The raw type associated with the event
APPOINTMENT_CREATEDThe Propexo unique identifier for the agent
testintegration:crm:431d19f5-deee-422a-a97b-8ce1f86f29c2The Propexo unique identifier for the community
testintegration:crm:12345The Propexo unique identifier for the prospect
testintegration:crm:12345The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe CRM system of record
Show 5 enum values
KNOCKELISEAIFUNNELRENTCAFEKNOCKKNOCKErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/crm/v1/events/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_agent_id": "431d19f5-deee-422a-a97b-8ce1f86f29c2",
"x_community_id": "12345",
"x_created_at": "2024-10-30T20:05:36.240Z",
"x_id": "256053-APPOINTMENT_CREATED-2024-10-30T20:05:36.240460+00:00",
"x_prospect_id": "12345",
"appointment_datetime": "2020-02-03T11:30:00.000Z",
"appointment_duration_minutes": 30,
"custom_data": "Unknown Type: object,null",
"event_datetime": "2020-02-03T11:30:00.000Z",
"notes": "This is a note.",
"type_raw": "APPOINTMENT_CREATED",
"agent_id": "testintegration:crm:431d19f5-deee-422a-a97b-8ce1f86f29c2",
"community_id": "testintegration:crm:12345",
"prospect_id": "testintegration:crm:12345",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "KNOCK"
}
]
}